Bug 1657887 - mouse buttons stop responding after rapid input
Summary: mouse buttons stop responding after rapid input
Keywords:
Status: VERIFIED
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: gnome-shell
Version: 7.6
Hardware: x86_64
OS: Linux
high
urgent
Target Milestone: rc
: ---
Assignee: Florian Müllner
QA Contact: Desktop QE
URL:
Whiteboard:
Depends On:
Blocks: 1759525 1756263
TreeView+ depends on / blocked
 
Reported: 2018-12-10 16:31 UTC by Joe Wright
Modified: 2019-12-02 03:42 UTC (History)
12 users (show)

Fixed In Version: mutter-3.28.3-16.el7 gnome-shell-3.28.3-18.el7
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
: 1756263 1759525 (view as bug list)
Environment:
Last Closed:
Target Upstream Version:


Attachments (Terms of Use)
popupMenu: block input events when menu is closing (4.97 KB, patch)
2018-12-10 20:34 UTC, Ray Strode [halfline]
no flags Details | Diff
0001-boxpointer-Ungrab-pointer-when-hiding.patch (932 bytes, application/mbox)
2019-10-02 17:19 UTC, Jonas Ådahl
no flags Details


Links
System ID Priority Status Summary Last Updated
GNOME Gitlab GNOME/mutter/merge_requests/821 None None None 2019-10-02 17:20:08 UTC

Description Joe Wright 2018-12-10 16:31:06 UTC
Description of problem:
- mouse buttons stop responding after clicking on something. 

Version-Release number of selected component (if applicable):
- mutter-3.28.3-4.el7.x86_64
- gtk3-3.22.30-3.el7.x86_64

How reproducible:
100%

Steps to Reproduce:
1. Install RHEL 7.6 "server with gui"(I have not tested 7.5 with kernel and mesa updates, since we were simply looking to replicate)
2. Use all standard options for install. Once installed, configured and running you should be in gnome classic by default.
3. Click on "Applications" in the upper left corner.
4. Scroll over "Accessories".
5. From the Accessories menu, double click "Text Editor" as quickly as possible.  This will lock up the mouse buttons but you will still be able to move the mouse.
6. To get access back to the mouse buttons press ctrl+alt+tab(may take a couple tries) and it will free up the mouse buttons again.

Actual results:
- mouse buttons stop responding

Expected results:
- mouse behaves normally

Additional info:

Comment 5 Ray Strode [halfline] 2018-12-10 20:34:32 UTC
Created attachment 1513213 [details]
popupMenu: block input events when menu is closing

At the moment gnome-shell can get really confused if a menu is
fading out and gets clicked.

It can lead to mouse pointer input getting stuck until the shell
is restarted.

This commit addresses the problem by ignoring input events that
come in when the menu is closing.

Comment 22 Michael Boisvert 2019-10-01 15:30:30 UTC
G-nome-shell-3.28.3-17.el7 causes the inability to left click on the entire top bar of gnome shell classic. Previous versions didn't have this problem.

Comment 26 Jonas Ådahl 2019-10-02 17:19:29 UTC
Created attachment 1622015 [details]
0001-boxpointer-Ungrab-pointer-when-hiding.patch


Note You need to log in before you can comment on or make changes to this bug.